#
# spec file for package proteus
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define majorver 3.8
Version:        %{majorver}.5
Release:        1.1

Name:           proteus
# List of additional build dependencies
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-lxml
BuildRequires:  python-psycopg2
BuildRequires:  python-pydot
BuildRequires:  python-setuptools

Url:            http://www.tryton.org/
Source0:        http://downloads.tryton.org/%{majorver}/%{name}-%{version}.tar.gz
Summary:        A library to access Tryton's modules like a client
License:        GPL-3.0+
Group:          Productivity/Office/Management

BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       python-cdecimal
Requires:       python-dateutil
Requires:       python-simplejson
Requires:       trytond

%description
Proteus allows you to access Tryton's modules like a client. Useful for automation, data load etc.

%prep
%setup -q 

%build 
python setup.py build

%install
python setup.py install --prefix=%_prefix --root=%buildroot 
%fdupes -s %{buildroot}

%files 
%defattr(-,root,root)
%doc README LICENSE
%{python_sitelib}/*

%changelog
* Sun Nov  6 2016 axel.braun@gmx.de
- version 3.8.5
* Tue Sep  6 2016 axel.braun@gmx.de
- version 3.8.4
* Fri Aug 26 2016 axel.braun@gmx.de
- Clean up of spec file, fdupes added
  service file set to localonly
* Mon Oct 19 2015 axel.braun@gmx.de 
- Tryton Release 3.8
* Wed Apr 15 2015 axel.braun@gmx.de 
- Tryton Release 3.6
* Sat Oct 26 2013 axel.braun@gmx.de
- initial build on OBS
